Subject: Re: bug#57400: 29.0.50; Support sending patches from VC directly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Oct 2022 15:20:46 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 15 Oct 2022 11:44:58 +0000
> 
> The function does accept everything that "git name-rev" accepts, after
> all it just passes commit to the subcommand.  What FORCE does is
> restrict what "git name-rev" response is accepted to be returned by
> `vc-git-symbolic-commit'.

Ah, so this is what I was missing...

Then how about

   If the optional argument FORCE is non-nil, the returned value is
   allowed to include revision specifications like \"master~8\"
   (the 8th parent of the commit currently pointed to by the master
   branch), otherwise such revision specifications are rejected, and
   the function returns nil.